Name:		erlang-rpm-macros
Version:	0.3.6
Release:	%mkrel 1
Summary:	Macros for simplifying building of Erlang packages
Group:          Development/Erlang
License:	MIT
URL:		https://github.com/fedora-erlang/erlang-rpm-macros
VCS:		scm:git:https://github.com/fedora-erlang/erlang-rpm-macros.git
Source0:	https://github.com/fedora-erlang/erlang-rpm-macros/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
# These BRs needed only for testing
BuildRequires:	erlang-crypto
BuildRequires:	erlang-erlsyslog
BuildRequires:	erlang-erts
BuildRequires:	python3-pybeam
BuildRequires:	python3-pyelftools
BuildRequires:	python3-rpm
Requires:	rpm-build >= 4.11
# Requires for BEAM parsing
Requires:	python3-pybeam
# Requires for so-lib parsing
Requires:	python3-pyelftools
Requires:	python3-rpm


%description
Macros for simplifying building of Erlang packages.


%prep
%autosetup -p1


%build
# Nothing to build


%install
install -d %{buildroot}%{_rpmconfigdir}/fileattrs
install -d %{buildroot}%{_rpmconfigdir}/macros.d
install -p -m 0755 erlang-find-provides.py %{buildroot}%{_rpmconfigdir}/erlang-find-provides
install -p -m 0755 erlang-find-requires.py %{buildroot}%{_rpmconfigdir}/erlang-find-requires
install -p -m 0644 macros.erlang %{buildroot}%{_rpmconfigdir}/macros.d/
install -p -m 0644 erlang.attr %{buildroot}%{_rpmconfigdir}/fileattrs/


%check
make check


%files
%license LICENSE
%doc README
%{_rpmconfigdir}/erlang-find-provides
%{_rpmconfigdir}/erlang-find-requires
%{_rpmconfigdir}/fileattrs/erlang.attr
%{_rpmconfigdir}/macros.d/macros.erlang


%changelog
* Sun Aug 07 2022 neoclust <neoclust> 0.3.6-1.mga9
+ Revision: 1876070
- New version 0.3.6

* Mon Apr 04 2022 umeabot <umeabot> 0.3.3-3.mga9
+ Revision: 1843412
- Mageia 9 Mass Rebuild

* Sat Dec 19 2020 wally <wally> 0.3.3-2.mga8
+ Revision: 1661272
- drop unneeded mageiafy patch

* Wed May 27 2020 ovitters <ovitters> 0.3.3-1.mga8
+ Revision: 1588165
- new version 0.3.3
- dropped merged patch erlang-rpm-macros-0001-Don-t-use-byte-strings.patch
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- enable tests

* Thu Sep 20 2018 wally <wally> 0.2.9-5.mga7
+ Revision: 1287501
- fix typo in mageiafy patch

* Wed Sep 19 2018 wally <wally> 0.2.9-4.mga7
+ Revision: 1277568
- add patch from Fedora to fix erlang-find-requires fault (rhbz#1609593)

* Wed Sep 19 2018 wally <wally> 0.2.9-3.mga7
+ Revision: 1276309
- fix RPM group
- add patch to mageiafy LDFLAGS (we don't have %%__global_ldflags)
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ pterjan <pterjan>
- Sync with fedora (update to 0.2.9)

* Thu Nov 17 2016 neoclust <neoclust> 0.2.4-1.mga6
+ Revision: 1067914
- New version 0.2.4
- New version 0.2.3

* Fri Apr 22 2016 neoclust <neoclust> 0.2.2-1.mga6
+ Revision: 1004792
- imported package erlang-rpm-macros

